Package org.eclipse.draw2d

# Interface RangeModel

All Known Implementing Classes:
  `DefaultRangeModel`

public interface RangeModel
This interface represents a range of possible values as well as the current values. There is a minumum and maximum value, a current value, and the extent. One use for a RangeModel is a scrollbar. There is a minimum value (the top of the scrollbar), a maximum value (the bottom of the scrollbar), a current value (the top of the thumb), and an extent (the length of the thumb).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROPERTY_EXTENT`
Extent property name
`static final String`
`PROPERTY_MAXIMUM`
Maximum property name
`static final String`
`PROPERTY_MINIMUM`
Minimum property name
`static final String`
`PROPERTY_VALUE`
Value property name

## Method Summary

Modifier and Type
Method
Description
`void`
`addPropertyChangeListener(PropertyChangeListener listener)`
Registers listener as a PropertyChangeListener of this RangeModel.
`int`
`getExtent()`
Returns the extent.
`int`
`getMaximum()`
Returns the maximum value in the range.
`int`
`getMinimum()`
Returns the minimum value in the range.
`int`
`getValue()`
Returns the current value.
`boolean`
`isEnabled()`
Returns `true` if this RangeModel is enabled.
`void`
`removePropertyChangeListener(PropertyChangeListener listener)`
Removes the given listener from this RangeModel's list of PropertyChangeListeners.
`void`
`setAll(int min, int extent, int max)`
Sets min, extent, and max all at once.
`void`
`setExtent(int extent)`
Sets the extent.
`void`
`setMaximum(int max)`
Sets the maximum value of the range.
`void`
`setMinimum(int min)`
Sets the minimum value of the range.
`void`
`setValue(int value)`
Sets the current value.

## Field Details

### PROPERTY_VALUE

static final String PROPERTY_VALUE
Value property name

See Also:
  - Constant Field Values

### PROPERTY_EXTENT

static final String PROPERTY_EXTENT
Extent property name

See Also:
  - Constant Field Values

### PROPERTY_MINIMUM

static final String PROPERTY_MINIMUM
Minimum property name

See Also:
  - Constant Field Values

### PROPERTY_MAXIMUM

static final String PROPERTY_MAXIMUM
Maximum property name

See Also:
  - Constant Field Values

## Method Details

### addPropertyChangeListener

void addPropertyChangeListener(PropertyChangeListener listener)
Registers listener as a PropertyChangeListener of this RangeModel. Listeners will be notified of changes to `value`, `extent`, `minimum` and `maximum` properties.

Parameters:
  `listener` - The listener to add

### getExtent

int getExtent()
Returns the extent.

Returns:
  The extent

### getMaximum

int getMaximum()
Returns the maximum value in the range.

Returns:
  The maximum value

### getMinimum

int getMinimum()
Returns the minimum value in the range.

Returns:
  The minimum value

### getValue

int getValue()
Returns the current value.

Returns:
  The current value

### isEnabled

boolean isEnabled()
Returns `true` if this RangeModel is enabled.

Returns:
  `true` if this Rangel Model is enabled

### removePropertyChangeListener

void removePropertyChangeListener(PropertyChangeListener listener)
Removes the given listener from this RangeModel's list of PropertyChangeListeners.

Parameters:
  `listener` - The listener to remove

### setAll

void setAll(int min, int extent, int max)
Sets min, extent, and max all at once.

Parameters:
  `min` - the new mininum
  `extent` - the new extent
  `max` - the new maximum

### setExtent

void setExtent(int extent)
Sets the extent.

Parameters:
  `extent` - The extent

### setMaximum

void setMaximum(int max)
Sets the maximum value of the range.

Parameters:
  `max` - The maximum value

### setMinimum

void setMinimum(int min)
Sets the minimum value of the range.

Parameters:
  `min` - The minimum value

### setValue

void setValue(int value)
Sets the current value.

Parameters:
  `value` - The current value